//************************************************************************
// Liest die Hersteller aus der Bauteilbibliothek
// Holger Klabunde
// 21.09.2002
// Compiler Visual C++ V5.0
//************************************************************************
#include "stdafx.h"

#include "global.h"
#include "protos.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

//********************************
//Bauteilbibliothek ffnen
int CAVRPromDlg::OpenBib()
//********************************
{
 if((in=fopen(csvname,"rt"))==NULL)
 {
  Msg("Kann Bauteilbibliothek nicht ffnen !");

  ShowErr(csvname);
  return NO_CSV;
 }

 return NO_ERRORS;
}

//*************************************
//Bauteilbibliothek schlieen 
int CAVRPromDlg::CloseBib()
//*************************************
{
 if(in)
 {
  fclose(in);
  in=NULL; //Datei schlieen
 }

 return NO_ERRORS;
}

//***************************************************
//Bibliothek bis zum gewnschten Hersteller vorspulen
int CAVRPromDlg::SearchManuf()
//***************************************************
{
 char *result;
 int linelen,count;
 char buf1,buf2;

 count=-1; //0 ist ein gltiger Hersteller

 do //Nchsten Herstellereintrag suchen
 {
  result=fgets(zeile,ARRAYSIZE,in); //Eine Zeile lesen
  if(result!=NULL)
  {
//':' Am Anfang der Zeile suchen fr Kennzeichen Herstellereintrag
   linelen=strlen(zeile)-2;	//Lnge der Zeile feststellen
   buf1=zeile[0];			//Erster Buchstabe der Zeile
   buf2=zeile[linelen];	    //Letzter Buchstabe der Zeile
   buf2=toupper(buf2);		//Grobuchstaben machen

   if((buf1==':')&&(buf2=='Y')) //Gltige Zeile ?
   {
    count++;
   }//Ende Herstellernamen lesen
 
  }//if result!=NULL

 }while((result!=NULL)&&(count<manufindex));

 if(result==NULL)
 {
  Msg("Hersteller in Bibliothek nicht gefunden !");
  return NO_CSV; //Hersteller nicht gefunden
 }

 return NO_ERRORS;
}

//*************************************
//Einen Herstellereintrag lesen
int CAVRPromDlg::ReadManuf()
//*************************************
{
 char *result;
 int linelen,count;
 char buf1,buf2,buf3[2];

 strcpy(buf3,"a"); //Nur um ein "\n" ans Ende zu kriegen

 do //Nchsten Herstellereintrag suchen
 {
  result=fgets(zeile,ARRAYSIZE,in); //Eine Zeile lesen
  if(result!=NULL)
  {
//':' Am Anfang der Zeile suchen fr Kennzeichen Herstellereintrag
   linelen=strlen(zeile)-2;	//Lnge der Zeile feststellen
   buf1=zeile[0];			//Erster Buchstabe der Zeile
   buf2=zeile[linelen];	    //Letzter Buchstabe der Zeile
   buf2=toupper(buf2);		//Grobuchstaben machen

   if((buf1==':')&&(buf2=='Y')) //Gltige Zeile ?
   {
    strcpy(line,"");  //Alten Hersteller lschen
	count=1;		  //Ab dem 2.Buchstaben weitermachen

//Bis zum ersten ';' geht der Herstellername
	while((buf1!=';')&&(count<linelen))
	{
     //Namen buchstabenweise auslesen
	 buf1=zeile[count]; //Nchster Buchstabe
     count++;

	 if(buf1!=';') //Ende Herstellername erreicht ?
	 {
      buf3[0]=buf1; //ntig fr strcat()
	  strcat(line,buf3); //und dranhngen
	 }

	} //Ein Herstellername gelesen !

	//Herstellername steht in line
    return NO_ERRORS;

   }//Ende Herstellernamen lesen
 
  }//if result!=NULL

 }while(result!=NULL);

 return NO_NAME;
}
