//************************************************************************
// Schreibt die Initialisierungsdatei
// Holger Klabunde
// 09.03.2003
// Compiler Visual C++ V5.0
//************************************************************************
#include "stdafx.h"
#include <stdlib.h>

#include "global.h"
#include "protos.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

int CAVRPromDlg::SaveINI()
{
 int result;

 //*************************************************************
 //Ab hier Einstellungen die fr alle Programmteile gelten
 //*************************************************************
 _itoa(DATEN,zeile,16);
 result=WritePrivateProfileString(ALL,"PortAdress",zeile,ininame);
 _itoa(beap,zeile,10);
 result=WritePrivateProfileString(ALL,"MessageBeap",zeile,ininame);

 //*************************************************************
 //Ab hier Einstellungen die nur fr diesen Programmteil gelten
 //*************************************************************
 _itoa(manufindex,zeile,10);
 result=WritePrivateProfileString(MYSECTION,"ManufIndex",zeile,ininame);
 _itoa(deviceindex,zeile,10);
 result=WritePrivateProfileString(MYSECTION,"DeviceIndex",zeile,ininame);
 _itoa(xkoord,zeile,10);
 result=WritePrivateProfileString(MYSECTION,"X-Koord",zeile,ininame);
 _itoa(ykoord,zeile,10);
 result=WritePrivateProfileString(MYSECTION,"Y-Koord",zeile,ininame);
 _itoa(use_lpt,zeile,10);
 result=WritePrivateProfileString(MYSECTION,"UseLPT",zeile,ininame);
 _itoa(use_usb,zeile,10);
 result=WritePrivateProfileString(MYSECTION,"UseUSB",zeile,ininame);

 result=WritePrivateProfileString(MYSECTION,"USBSerialNumber",usbserial,ininame);
 _itoa(usbbaudrate,zeile,10);
 result=WritePrivateProfileString(MYSECTION,"USBBaudRate",zeile,ininame);
 _itoa(slowdown,zeile,10);
 result=WritePrivateProfileString(MYSECTION,"SlowDown",zeile,ininame);

 _itoa(no_ff,zeile,10);
 result=WritePrivateProfileString(devicename,"FFSave",zeile,ininame);
 _itoa(hexmode,zeile,10);
 result=WritePrivateProfileString(devicename,"DataFormat",zeile,ininame);
 _itoa(testcheck,zeile,10);
 result=WritePrivateProfileString(devicename,"TestChecksum",zeile,ininame);
 _itoa(burnverify,zeile,10);
 result=WritePrivateProfileString(devicename,"BurnAndVerify",zeile,ininame);
// _itoa(showdevice,zeile,10);
// result=WritePrivateProfileString(devicename,"ShowDeviceData",zeile,ininame);
 _itoa(checkid,zeile,10);
 result=WritePrivateProfileString(devicename,"IDCheck",zeile,ininame);
 _itoa(hexlen,zeile,10);
 result=WritePrivateProfileString(devicename,"HexLineLen",zeile,ininame);

/*
 _itoa(lockbits,zeile,10);
 result=WritePrivateProfileString(MYSECTION,"LockBits",zeile,ininame);
 _itoa(fuselow,zeile,10);
 result=WritePrivateProfileString(MYSECTION,"FuseLow",zeile,ininame);
 _itoa(fusehigh,zeile,10);
 result=WritePrivateProfileString(MYSECTION,"FuseHigh",zeile,ininame);
 _itoa(fusex,zeile,10);
 result=WritePrivateProfileString(MYSECTION,"FuseExt",zeile,ininame);
*/
 _itoa(lockbits,zeile,10);
 result=WritePrivateProfileString(devicename,"LockBits",zeile,ininame);
 _itoa(fuselow,zeile,10);
 result=WritePrivateProfileString(devicename,"FuseLow",zeile,ininame);
 _itoa(fusehigh,zeile,10);
 result=WritePrivateProfileString(devicename,"FuseHigh",zeile,ininame);
 _itoa(fusex,zeile,10);
 result=WritePrivateProfileString(devicename,"FuseExt",zeile,ininame);

 _itoa(lastfilter,zeile,10);
 result=WritePrivateProfileString(devicename,"ReadFilter",zeile,ininame);

 _splitpath(filename,drive,dir,name,ext);
 _makepath(zeile,drive,dir,NULL,NULL);
 _makepath(fname,NULL,NULL,name,ext);
 result=WritePrivateProfileString(devicename,"DataPath",zeile,ininame);
 result=WritePrivateProfileString(devicename,"LastFile",fname,ininame);

 return NO_ERRORS;
}
