//************************************************************************
// AVRpromer V1.00
// Verify HEX oder BIN
//
// Holger Klabunde
// 22.10.2000
// Compiler Visual C++ V5.0
//************************************************************************
#include "stdafx.h"
#include <io.h>
#include <fcntl.h>

#include "Global.h"
#include "protos.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

//***********************************************
// Baustein in Abhngigkeit vom Dateityp vergleichen
int CAVRPromDlg::Verify(char *pname,int message,int mode)
//***********************************************
{
 int result,hxmode;

 hxmode=CheckHex(pname,mode); //Art der HEX-Datei bestimmen
 if((hxmode==UNKNOWN_HEX)&&(mode==16)) return NO_INPUT; //Fehler bei Dateioperation
 if((hxmode==UNKNOWN_HEX)&&(mode==8)) return NO_ERRORS; //Keine EEPROMdaten da

 if(hxmode==BIN) in=fopen(pname,"rb");  // Alle anderen erstmal binr
 else	in=fopen(pname,"rt"); //ASCII-Text

//Bei Fehler: Meldung und raus
 if(in==NULL) { ShowErr(pname); return NO_INPUT; }

//Datenpuffer mit der Datei fllen
 result=FillBuffer(hxmode,mode);
 if(result!=NO_ERRORS) { EndProgram(); return NO_INPUT; }

 result=VerifyAVR(hxmode,message,mode);
 EndVerify();
 return result;

}

//***********************
// Verifyroutine beenden.
void CAVRPromDlg::EndVerify()
//***********************
{
 if(in!=NULL) fclose(in); // Datei schlieen
 in=NULL;
}

