// AVRPromDlg.h : Header-Datei
//

#if !defined(AFX_AVRPROMDLG_H__32715105_F416_11D1_9427_444553540000__INCLUDED_)
#define AFX_AVRPROMDLG_H__32715105_F416_11D1_9427_444553540000__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "Devil.h"

/////////////////////////////////////////////////////////////////////////////
// CAVRPromDlg Dialogfeld

class CAVRPromDlg : public CDialog
{
// Konstruktion
public:
	CAVRPromDlg(CWnd* pParent = NULL);	// Standard-Konstruktor

// Dialogfelddaten
	//{{AFX_DATA(CAVRPromDlg)
	enum { IDD = IDD_AVRPROM_DIALOG };
	CButton	m_Default;
	CButton	m_SendReset;
	CButton	m_BurnVerify;
	CButton	m_Fusex8;
	CButton	m_Fusex7;
	CButton	m_Fusex6;
	CButton	m_Fusex5;
	CButton	m_Fusex4;
	CButton	m_Fusex3;
	CButton	m_Fusex2;
	CButton	m_Fusex1;
	CButton	m_Fusehi8;
	CButton	m_Fusehi7;
	CButton	m_Fusehi6;
	CButton	m_Fusehi5;
	CButton	m_Fusehi4;
	CButton	m_Fusehi3;
	CButton	m_Fusehi2;
	CButton	m_Fusehi1;
	CButton	m_Fuse8;
	CButton	m_Fuse7;
	CButton	m_Fuse6;
	CButton	m_Fuse5;
	CButton	m_Fuse4;
	CButton	m_Fuse3;
	CButton	m_Fuse2;
	CButton	m_Fuse1;
	CButton	m_Lock8;
	CButton	m_Lock7;
	CButton	m_Lock6;
	CButton	m_Lock5;
	CButton	m_Lock4;
	CButton	m_Lock3;
	CEdit	m_fname;
	CButton	m_CheckID;
	CComboBox	m_Manuf;
	CComboBox	m_Device;
	CStatic	m_Message;
	CButton	m_Lock2;
	CButton	m_Lock1;
	CButton	m_Checksum;
	CButton	m_SaveFF;
	CButton	m_Cancel;
	CButton	m_Erase;
	CButton	m_Prefs;
	CButton	m_NewFile;
	CButton	m_Verify;
	CButton	m_Burn;
	CButton	m_Save;
	CButton	m_Blank;
	CProgressCtrl	m_Percent;
	//}}AFX_DATA

	// Vom Klassenassistenten generierte berladungen virtueller Funktionen
	//{{AFX_VIRTUAL(CAVRPromDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV-Untersttzung
	//}}AFX_VIRTUAL

// Implementierung
protected:
	HICON m_hIcon;

	// Generierte Message-Map-Funktionen
	//{{AFX_MSG(CAVRPromDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnBlankCheck();
	afx_msg void OnSave();
	afx_msg void OnBurn();
	afx_msg void OnVerify();
	afx_msg int OnNewFile();
	afx_msg void OnPreferences();
	afx_msg void OnErase();
	afx_msg void OnEndaktion();
	afx_msg void OnSelchangeManuf();
	afx_msg void OnSelchangeDevice();
	afx_msg void OnChecksaveff();
	afx_msg void OnChecksum();
	afx_msg void OnIdcheck();
	afx_msg void OnLock1();
	afx_msg void OnLock2();
	afx_msg void OnClose();
	afx_msg void OnMove(int x, int y);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnEras();
	afx_msg void OnLock3();
	afx_msg void OnLock4();
	afx_msg void OnLock5();
	afx_msg void OnLock6();
	afx_msg void OnLock7();
	afx_msg void OnLock8();
	afx_msg void OnFuse1();
	afx_msg void OnFuse2();
	afx_msg void OnFuse3();
	afx_msg void OnFuse4();
	afx_msg void OnFuse5();
	afx_msg void OnFuse6();
	afx_msg void OnFuse7();
	afx_msg void OnFuse8();
	afx_msg void OnFusehi1();
	afx_msg void OnFusehi2();
	afx_msg void OnFusehi3();
	afx_msg void OnFusehi4();
	afx_msg void OnFusehi5();
	afx_msg void OnFusehi6();
	afx_msg void OnFusehi7();
	afx_msg void OnFusehi8();
	afx_msg void OnBurnverify();
	afx_msg void OnSendreset();
	afx_msg void OnFusex1();
	afx_msg void OnFusex2();
	afx_msg void OnFusex3();
	afx_msg void OnFusex4();
	afx_msg void OnFusex5();
	afx_msg void OnFusex6();
	afx_msg void OnFusex7();
	afx_msg void OnFusex8();
	afx_msg void OnDefaultFuses();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

//Meine Funktionen

    CDevil devil;

    void EnableFuses(int defaults);
    void SetDefaultFuses();

	void MoreCPUTime();
	void NormalCPUTime();

	int ReadINI();
	int SaveINI();

    int CheckID();

	int EraseAVR();
	int Erase();

	int BlankCheck();

    void SPIWrite(unsigned char by);
    unsigned char SPIRead();
    unsigned char SPIReadID(int adr);
    unsigned int SPIReadAVRWord(unsigned long adr);
    unsigned char SPIReadAVRByte(unsigned long adr);
    void SPIWriteAVRWord(unsigned long adr,unsigned int dat);
    void SPIWriteAVRByte(unsigned long adr,unsigned char dat);
    void SPIWriteLockBits();
    void SPIWriteFuseBits();
    void SPIWriteRcen(unsigned char lock);
    unsigned char SPIReadFuseLock();
    unsigned char SPIReadFuseBits();
    unsigned char SPIReadLockBits();
    unsigned char SPIReadRCCal();
    void SPILoadPage(unsigned long adr,unsigned int dat);
    void SPIWritePage(unsigned long adr);
    int SPISync();

	int CheckHex(char * fname, int mode);
    int ClearHexString(char *st, int maxlen);

    int ReadROMHex(int mode);
    int ReadBlockBin(unsigned long blsize,int mode);
	int ReadIntelHex();
	int ReadS123Hex();
    int FillBuffer(int hexmode, int mode);

    int Verify(char *fname,int message,int mode);
    int VerifyAVR(int hxmode, int message, int mode);
    int VerifyData(int mode);
    void EndVerify();

    int Program(char *fname,int message,int mode);
    int ProgramAVR(int hxmode,int message,int mode);
    int ProgramAVRSerial(int mode);
    int ProgramMegaSerial(int mode);
    int ProgramLockBits();
    int ProgramFuseBits();
    int Do_Program(int mode);
    void EndProgram();

	int SaveAVR();
    int SaveROMHex(char *filename, int mode, unsigned long topmem);
	int SaveBin(char *filename, int mode, unsigned long topmem);
	int SaveHex(char *filename, int mode, unsigned long topmem);
    unsigned long WriteS123Hex(unsigned char *dat,unsigned long start,unsigned long len);
    unsigned long WriteIntelHex(unsigned char *dat,unsigned long start,unsigned long len);

	unsigned char ReadByte();
	int SendByte(unsigned char portadr,unsigned char by);
	int InitPort();

	int Wait1ms(unsigned long time);

	int ReadCSV();
	int FillManuf();
	int FillDevices(); 
	int ReadDeviceData();
	int InsertDevice();
	int ReadManuf();
	int SearchManuf();
	int CloseBib();
	int OpenBib();

	int CheckDevil();
	void UpdateProgress();
	void ResetProgress(unsigned long val);
	void PumpMessages();

	void DisableControls();
	void EnableControls();

	void Msg(char *text);
	int MsgRetryCancel(char *text);
	int MsgOkCancel(char *text);

	void NoIdentRecord();
	void NoEndHex();
	void NoHexHeader();

	void NoHexLine();
	void ErrorReadHex();

	void WrongHexLineLen(unsigned long red, unsigned long added);
    void BadHex();
	void NoLineBegin();
	void BadChecksum(unsigned int ch1,unsigned int ch2);
	int ShowBox(char *message);
	void Showerror();
	void ShowErr(char *filename);

        //Ab hier globale Variablen dieser Klasse
public:
 unsigned long steps; //Schrittweite des Progressindikators
 unsigned long progcount; //Bytezhler fr Schrittweite
 unsigned long stepcount; //Schrittzhler des Progressindikators

 unsigned long offset;

 long width,height;
 long lastx,lasty;
 int mCancel;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio fgt zustzliche Deklarationen unmittelbar vor der vorhergehenden Zeile ein.

#endif // !defined(AFX_AVRPROMDLG_H__32715105_F416_11D1_9427_444553540000__INCLUDED_)
