//Globale Variablen

#include "stdafx.h"
#include <stdio.h>  //Nur fr FILE

#include "Global.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif


unsigned char data[BLOCKSIZE]; //Allgemeiner Datenpuffer

char devicename[ARRAYSIZE]=""; //Bausteinname

FILE *in=NULL;
FILE *out=NULL;

//LPT Portadressen
int DATEN,LESEN,STEUER;

int use_usb,use_lpt; //Hardwareauswahl
unsigned long usbbaudrate; //Prefs fr USB
char usbserial[16];
int burnverify; //Prfen beim brennen
unsigned long winversion;

//Daten aus der *.CSV-Datei
unsigned long maxadr;   //Hchste Adresse+1
unsigned long maxeepadr; //Hchste Adresse im Daten EEPROM
unsigned int device;    //Devicecode id01,02
unsigned char lockbits; //Puffer Schutzbits
unsigned char fuselow,fusehigh,fusex; //Puffer fr Fusebits

unsigned long progtime; // Lnge Programmierimpuls in 100us Steps
int program_mode;       //Serielle oder Parallele Programmierung
unsigned long erasetime; //Lschzeit fr EEPROM,FLASH ProgramMemory
unsigned char id00,id01,id02; //ID-Daten
unsigned long pagesize; //Fr ATMEGA
unsigned int eeppagesize; //EEprom Pagesize

//Programmierung
unsigned long highadr;   //Hchste gefundene Adresse in HEX-Datei
unsigned long linecount; //Zeilenzhler fr HEX Dateien
unsigned long testadr;   //Fr Kontrolle Lockbits
unsigned long testword;

//Werden in ReadIni() gelesen
unsigned char checkid; //ID-Check an/aus
long manufindex;  // Herstellerindex  in *.csv Datei
long deviceindex; // Bausteinindex in *.csv Datei
int beap;        //Peep vor Messages 0=aus , 1=an
unsigned long hexlen; //Anzahl Datenbytes einer HEX_Zeile
int showdevice; //Bausteindaten anzeigen
int no_ff; //LeerBytes schreiben an/aus
long xkoord; //Alte Fensterposition
long ykoord;
int hexmode; //HEX-Speicherformat
int testcheck; //Checksumme testen an/aus
int lock1,lock2; //Die Schutzbits
int lastfilter;	//DateiFilter fr NeueDatei, Verify usw.
unsigned long slowdown; //LPT Bremse

// Ein Puffer fr Eingaberoutinen
char zeile[ARRAYSIZE]="";
char line[ARRAYSIZE]="";

char filename[_MAX_PATH]=""; //Die Brenndatei fr Programmdaten
char eepname[_MAX_PATH]="";  //Die Brenndatei fr EEPROM-Daten
char fname[_MAX_PATH]=""; //Wie oben, ohne Pfad
char datapath[_MAX_PATH]=""; //nur Pfad

char ininame[_MAX_PATH]=""; //Die INI-Datei
char drive[_MAX_DRIVE]=""; //Hilfsarrays
char dir[_MAX_DIR]="";
char name[_MAX_FNAME]="";
char ext[_MAX_EXT]="";

char csvname[_MAX_PATH]=""; //Name der Bauteilbibliothek

//Globale Variablen zum steuern der Hardware
unsigned char daten;	//Datenport
