// Prefs.cpp: Implementierungsdatei
//

#include "stdafx.h"
#include "Prefs.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// Dialogfeld CPrefs 


CPrefs::CPrefs(CWnd* pParent /*=NULL*/)
	: CDialog(CPrefs::IDD, pParent)
{
	//{{AFX_DATA_INIT(CPrefs)
	m_PortAdr = _T("");
	m_HexLen = 0;
	m_Beap = FALSE;
	m_USBSerial = _T("");
	m_USBBaud = _T("");
	m_Use_LPT = FALSE;
	m_Use_USB = FALSE;
	m_Bremse = _T("");
	//}}AFX_DATA_INIT
}


void CPrefs::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CPrefs)
	DDX_CBString(pDX, IDC_COMBO1, m_PortAdr);
	DDX_Text(pDX, IDC_EDIT4, m_HexLen);
	DDV_MinMaxUInt(pDX, m_HexLen, 16, 255);
	DDX_Check(pDX, IDC_CHECK1, m_Beap);
	DDX_Text(pDX, IDC_EDIT1, m_USBSerial);
	DDV_MaxChars(pDX, m_USBSerial, 8);
	DDX_CBString(pDX, IDC_USBBAUD, m_USBBaud);
	DDV_MaxChars(pDX, m_USBBaud, 6);
	DDX_Check(pDX, IDC_USE_LPT, m_Use_LPT);
	DDX_Check(pDX, IDC_USE_USB, m_Use_USB);
	DDX_CBString(pDX, IDC_BREMSE, m_Bremse);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CPrefs, CDialog)
	//{{AFX_MSG_MAP(CPrefs)
	ON_BN_CLICKED(IDC_USE_LPT, OnUseLpt)
	ON_BN_CLICKED(IDC_USE_USB, OnUseUsb)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// Behandlungsroutinen fr Nachrichten CPrefs 

void CPrefs::OnUseLpt() 
{
 if(IsDlgButtonChecked(IDC_USE_LPT)) CheckDlgButton( IDC_USE_USB, 0 );
 else CheckDlgButton( IDC_USE_USB, 1 );
 UpdateWindow();
}

void CPrefs::OnUseUsb() 
{
 if(IsDlgButtonChecked(IDC_USE_USB)) CheckDlgButton( IDC_USE_LPT, 0 );
 else CheckDlgButton( IDC_USE_LPT, 1 );
 UpdateWindow();
}
