//************************************************************************
// Baustein brennen mit Daten aus Puffer
// AVRpromer V2.xx
//
// Holger Klabunde
// 12.10.2002
// Compiler Visual C++ V5.0
//************************************************************************
#include "stdafx.h"

#include "Global.h"
#include "protos.h"
#include "port_io.h"
#include "spi_io.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

int CAVRPromDlg::ProgramAVR(int hxmode,int message,int mode)
{
 int result;

 switch(program_mode)
  {
   case SPI1: case MSPI1:
   break;
   default: Msg("Programmiermodus fehlt in ProgramAVR()");
    return NO_BLANK;
   break;
  }

 if(mode==8) ResetProgress(highadr);
 if(mode==16) ResetProgress(highadr/2);

/*
 if(message==MESSAGE_YES) //Meldung erwnscht
  {

   switch(hxmode)
    {
     case INTEL8:    result=ProgramQuestion("(Intel8HEX)"); break;
     case INTELMCS:  result=ProgramQuestion("(IntelMCS86-Hex)"); break;
     case INTEL32:   result=ProgramQuestion("(Intel32-Hex)"); break;
     case MOT_S1:    result=ProgramQuestion("(Motorola Exorciser S1)"); break;
     case MOT_S2:    result=ProgramQuestion("(Motorola Exormax S2)"); break;
     case MOT_S3:    result=ProgramQuestion("(Motorola 32Bit S3)"); break;
     case ATMEL_AVR: result=ProgramQuestion("(Atmel ROM)"); break;
     case BIN:       result=ProgramQuestion("(BIN)"); break;
     default : result=IDCANCEL; break;
    }
   if(result==IDCANCEL) return NO_BURN;
  }
*/

 m_Cancel.EnableWindow(TRUE); //Cancel-Knopf aktivieren

 if(mode==16)
  {
   if(checkid>0)
    {
     result=CheckID();
     if(result!=NO_ERRORS) { return NO_BURN; }
    }

   Erase(); //Vorher Lschen !!

   sprintf(zeile,"Programmiere Programmspeicher %ld  0x%08X Bytes"
           ,highadr+1,highadr+1
          );
   m_Message.SetWindowText(zeile);
//   m_Message.SetWindowText("Programmiere Programmspeicher");
  }

 if(mode==8) m_Message.SetWindowText("Programmiere DatenEEPROM");

 UpdateWindow();

 //Programmierroutine je nach AVR-Typ
 result=Do_Program(mode);
 m_Percent.SetPos(0); //Statusanzeige zurcksetzen

 if(result!=NO_ERRORS) return NO_BURN; //Fehler aufgetreten ?
 if(mCancel==TRUE) return NO_INPUT; //Folgendes Verify vermeiden

 return NO_ERRORS;
}
