//************************************************************************
// Liest die Initialisierungsdatei des EPROMMER's
// Holger Klabunde
// 28.07.2003
// Compiler Visual C++ V5.0
//************************************************************************
#include "stdafx.h"

#include <direct.h>

#include "Global.h"
#include "protos.h"


#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

int CAVRPromDlg::ReadINI()
{
 DWORD result;

//***********************************************
//Ab hier Daten die fr alle Programmteile gelten 
//***********************************************
 result=GetPrivateProfileString(ALL,"PortAdress","278",zeile,_MAX_PATH,ininame);
 sscanf(zeile,"%x",&DATEN); //Portadresse
 if((DATEN<0x200)||(DATEN>0x400)) // besser wei ichs nich
  { Msg("Portadresse in\n'ACRISP.INI'\nkann nicht stimmen!!\n\n"
           "Nehme Standardwert von 0x378.");
    DATEN=0x378;
  }

 LESEN=DATEN+1;  // Leseportadresse
 STEUER=DATEN+2; // Steuerportadresse

//Beep vor Messages an,aus
 beap=GetPrivateProfileInt(ALL,"MessageBeap",1,ininame);
//Gltiger Eintrag ? Sonst Standardwert
 if(beap!=0) { beap=1; }

 //***************************************************
//Ab hier Daten die nur fr diesen Programmteil gelten
//****************************************************
//Letzte Fensterkoordinaten
 xkoord=GetPrivateProfileInt(MYSECTION,"X-Koord",10,ininame);
 if(xkoord < 0) xkoord = 10;
 if(xkoord > 1024) xkoord = 10;
 ykoord=GetPrivateProfileInt(MYSECTION,"Y-Koord",10,ininame);
 if(ykoord < 0) ykoord = 10;
 if(ykoord > 768) ykoord = 10;

 use_lpt=GetPrivateProfileInt(MYSECTION,"UseLPT",0,ininame);
 if(use_lpt != 0 && use_lpt != 1) use_lpt = 0;
 use_usb=GetPrivateProfileInt(MYSECTION,"UseUSB",0,ininame);
 if(use_usb != 0 && use_usb != 1) use_usb = 0;

 if(use_lpt==0 && use_usb==0) use_lpt=1; //Default use LPT Port
 if(use_lpt==1 && use_usb==1) use_usb=0; //Default use LPT Port

 GetPrivateProfileString(MYSECTION,"USBSerialNumber","FT000001",usbserial,16,ininame);
 usbserial[8]=0; //End of String

 usbbaudrate=GetPrivateProfileInt(MYSECTION,"USBBaudRate",38400,ininame);

 //Letzter benutzter Bremswert
 //Vieleicht auch fr jeden Chip abspeichern ?
 //Dann SaveINI() nicht vergessen ! 
 //Erstmal so probieren
 slowdown=GetPrivateProfileInt(MYSECTION,"SlowDown",0,ininame);
 if(slowdown<0) slowdown=0;

 //Letzter benutzter Hersteller
 manufindex=GetPrivateProfileInt(MYSECTION,"ManufIndex",0,ininame);
 if(manufindex<0) manufindex=1;

//Letzter benutzter Baustein
 deviceindex=GetPrivateProfileInt(MYSECTION,"DeviceIndex",0,ininame);
 if(deviceindex<0) deviceindex=0;

 ReadDeviceData(); //Devicenamen und ID lesen
 SetDefaultFuses(); //Erstmal DefaultFuseWerte nehmen

//Zeige Bausteindaten an/aus
// showdevice=GetPrivateProfileInt(MYSECTION,"ShowDeviceData",0,ininame);
// if(showdevice!=1) { showdevice=0; }

 //0xFF Bytes schreiben 0=nein 1=ja
 no_ff=GetPrivateProfileInt(devicename,"FFSave",0,ininame);
 //Gltiger Eintrag ? Sonst Standardwert
 if(no_ff!=1) { no_ff=0; }
 
 burnverify=GetPrivateProfileInt(devicename,"BurnAndVerify",1,ininame);
 //Gltiger Eintrag ? Sonst Standardwert
 if(burnverify!=1 && burnverify!=0) { burnverify=1; }

//Baustein ID testen
 checkid=GetPrivateProfileInt(devicename,"IDCheck",1,ininame);
 if(checkid!=0) { checkid=1; }

//Teste HEX-Checksummen ja/nein
 testcheck=GetPrivateProfileInt(devicename,"TestChecksum",1,ininame);
 if(testcheck!=0) { testcheck=1; }

 result=GetPrivateProfileInt(devicename,"LockBits",256,ininame);
 if(result>=0 && result<256) lockbits=(unsigned char)result;
 //Sonst bleibt Defaultwert erhalten

 result=GetPrivateProfileInt(devicename,"FuseLow",256,ininame);
 if(result>=0 && result<256) fuselow=(unsigned char)result;
 //Sonst bleibt Defaultwert erhalten

 result=GetPrivateProfileInt(devicename,"FuseHigh",256,ininame);
 if(result>=0 && result<256) fusehigh=(unsigned char)result;
 //Sonst bleibt Defaultwert erhalten

 result=GetPrivateProfileInt(devicename,"FuseExt",256,ininame);
 if(result>=0 && result<256) fusex=(unsigned char)result;
 //Sonst bleibt Defaultwert erhalten

 //Anzahl Datenbytes einer HEX-Zeile
 hexlen=GetPrivateProfileInt(devicename,"HexLineLen",0x20,ininame);
 hexlen&=0xFE; //Wert von hexlen mu gerade und kleiner 255 sein
 if(hexlen<=1)
  {
   sprintf(zeile,"Der Wert fr die Lnge der HEX-Zeilen ist grer 254 oder kleiner 2.\n"
                "Eingetragene Lnge %d\n\n"
				"Wert gendert auf Standardwert = 32 Datenbytes"
                ,hexlen);
   Msg(zeile);
   hexlen=32;
  }

//HEX-Mode fr Speicherformat
 hexmode=GetPrivateProfileInt(devicename,"DataFormat",4,ininame);
 if((hexmode<=UNKNOWN_HEX)||(hexmode>=LASTHEX)) hexmode=INTEL8;

//Letzter Filter beim Lesen
 lastfilter=GetPrivateProfileInt(devicename,"ReadFilter",4,ininame);
 if((lastfilter>4)||(lastfilter<1)) lastfilter=4; //Filter *.hex

 //Dateinamen zusammenbauen
 result=GetPrivateProfileString(devicename,"DataPath","C:\\",line,_MAX_PATH,ininame);
 _splitpath(line,drive,dir,NULL,NULL); // Laufwerk und Verzeichnis
 strcpy(datapath,line);
 result=GetPrivateProfileString(devicename,"LastFile","tmp",zeile,_MAX_PATH,ininame);
 _splitpath(zeile,NULL,NULL,name,ext); // Dateiname und Extension
 _makepath(filename,drive,dir,name,ext); //Und zusammenbauen

//EEPROM-Daten mssen erstmal in der Datei [name).eep stehen
//Die wird dann automatisch dazugeladen.
 _makepath(eepname,drive,dir,name,"eep"); //Dasselbe noch fr EEPROM-Daten

 //Fr Anzeige in Textfeld den Dateinamen ohne Pfad zusammenbauen
 _makepath(zeile,NULL,NULL,name,ext);
 strcpy(fname,zeile); //Und in fname[] merken

 return NO_ERRORS; // Alles OK
}
